# DataGrid field and widget installer

from Products.CMFCore.TypesTool import ContentFactoryMetadata
from Products.CMFCore.DirectoryView import addDirectoryViews
from Products.CMFCore.utils import getToolByName
from Products.CMFCore.CMFCorePermissions import ManagePortal
from Products.Archetypes.Extensions.utils import installTypes, install_subskin
from Products.Archetypes import listTypes
from Products.DataGridField.config import *
from cStringIO import StringIO
import string

from Products.DataGridField.config import INSTALL_DEMO_TYPES, STYLESHEETS

def registerStylesheets(self, out, stylesheets):
    # register additional CSS stylesheets with portal_css
    csstool = getToolByName(self, 'portal_css')
    for css in stylesheets:
        csstool.registerStylesheet(**css)
    print >> out, "installed the Plone additional stylesheets."

def install(self):
    out=StringIO()
    install_subskin(self, out, GLOBALS)

    classes = listTypes(PKG_NAME)
    if INSTALL_DEMO_TYPES:
        installTypes(self, out, classes, PKG_NAME)

    # Register CSS definitions used by DataGridWidget
    registerStylesheets(self, out, STYLESHEETS)
                 
    out.write('Installation completed.\n')
    return out.getvalue()

def uninstall(self):
    out=StringIO()
    out.write('manual uninstall completed.\n')
    return out.getvalue()

